Subject: Timezone related question...sorry...

From: "May we be forgiving of our systems' faults..." <[email-masked]>
Date: Thu, 28 Sep 1995 17:48:56 -0400 (EDT)

Via FTP user does a dir command and gets (note the incorrect
	file timestamps as compared to the others listed below):

ftp> dir
200 PORT command successful.
150 Opening ASCII mode data connection for /bin/ls.
total 4238
drwxr-s--x   2 20000    4002         512 Sep 26 18:15 .
dr-x--s--x  13 20000    4002         512 Sep 21 21:23 ..
-rw-rw-r--   1 20000    4002        1426 Sep 28 14:17 dsrpest.rpt
drwxr-s--x  12 20000    4002         512 Sep 15 19:37 extra
-rw-rw-r--   1 20000    4002     1345017 Sep 22 12:04 q370i.z
-rw-r--r--   1 20000    4002          12 Sep 26 18:15 q370i.z.sum
-rw-rw-r--   1 20000    4002      791387 Sep 22 12:04 q370u.z
-rw-r--r--   1 20000    4002          12 Sep 26 18:14 q370u.z.sum
226 Transfer complete.
515 bytes received in 0.037 seconds (14 Kbytes/s)
ftp> 221 Goodbye.

	Via telnet as root I see the correct timestamps:

drwxr-s--x   2 user_ftp ftponly      512 Sep 26 14:15 ./
dr-x--s--x  13 user_ftp ftponly      512 Sep 21 17:23 ../
-rw-rw-r--   1 user_ftp ftponly     1426 Sep 28 10:17 dsrpest.rpt
drwxr-s--x  12 user_ftp ftponly      512 Sep 15 15:37 extra/
-rw-rw-r--   1 user_ftp ftponly  1345017 Sep 22 08:04 q370i.z
-rw-r--r--   1 user_ftp ftponly       12 Sep 26 14:15 q370i.z.sum
-rw-rw-r--   1 user_ftp ftponly   791387 Sep 22 08:04 q370u.z
-rw-r--r--   1 user_ftp ftponly       12 Sep 26 14:14 q370u.z.sum
total 4238

	Via telnet as root I can do a chroot'ed /bin/ls and get the
	correct timestamps as well (i.e., proves zoneinfo files are
	correctly installed in the chroot'ed FTP environment):

drwxr-s--x   2 20000    4002         512 Sep 26 14:15 ./
dr-x--s--x  13 20000    4002         512 Sep 21 17:23 ../
-rw-rw-r--   1 20000    4002        1426 Sep 28 10:17 dsrpest.rpt
drwxr-s--x  12 20000    4002         512 Sep 15 15:37 extra/
-rw-rw-r--   1 20000    4002     1345017 Sep 22 08:04 q370i.z
-rw-r--r--   1 20000    4002          12 Sep 26 14:15 q370i.z.sum
-rw-rw-r--   1 20000    4002      791387 Sep 22 08:04 q370u.z
-rw-r--r--   1 20000    4002          12 Sep 26 14:14 q370u.z.sum
total 4238

	I have all the /usr/share/lib/zoneinfo files in place in the
	anonymous (and protected FTP--for guest logins) ftp (chroot'ed)
	areas.  I chmod 444 all files and chmod 111 all directories under
	usr/share/lib/zoneinfo for security reasons (although I tested
	with 777 permissions, and I still fail;  so I don't think this is
	a permissions-related problem).

	[BTW, without the zoneinfo files the chroot'ed /bin/ls gives the
	wrong timestamps just like an ftp connection, so I know the file(s)
	I am missing live in zoneinfo.]

	Anyone happen to have run into this one and have the answer?
	Yes, Solaris 2.4.  Yes, I have all the libraries necessary to
	run /bin/ls (per truss).  Thanks!!!

								Sean.

+--------------------------------------+---------------------------------------+
|      [email-masked]        |    Project Leader, Internetworking    |
+--------------------------------------+---------------------------------------+
|      Information Access Centre       |                                       |
|       Ten Presidents Landing         |    Information Access Company WWW     |
|          Medford, MA 02155           |         http://www.iacnet.com         |
|            617.393.3252              |                                       |
+--------------------------------------+---------------------------------------+

L.A.T.R.:  HI Rh+W B 04 Y L W- C++ I+++ T+ A+ E H+ S++ V++ F Q++ P B++ PA++ PL--
ISAAC:  AS W C 07 Y L+++ W+ C-- I+++ T+ A++ E H+ S+++ V++ F- Q++ P++ B- PA++ PL+
SPECKLES:  AS r C 04 X L++ W++ C-- I+++ T+ A-  E++ H S+++ V- F- Q++ P+ B PA+ PL+
TwinkCode v1.12:  T5C1L5 (w) h+ d-- a- (w) c- y (e) (g) f+ (t) k s- (m1) (m2) q-